githubEdit

Stow job endpoints

Get stow job

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
stowJobIdstringRequired
Responses
chevron-right
200

Requested Stow Job entity

application/json

StowJob

createdstring · date-timeOptional

Creation date of the entity, auto-generated if not provided

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired

Non-human-readable reference to the facility where the stow job is executed

idstringRequired

Auto-generated, unique primary identifier of the stow job

lastModifiedstring · date-timeOptional

Service-generated last modification date of the entity

prioritynumberOptional

Priority level of the job

shortIdstringOptional

Readable identifier for display purposes, not unique.

statusstring · enumRequired

The status of the stowJob

Possible values:
targetTimestring · date-timeOptional

The time by which the job should be completed. Use for prioritization and scheduling

versionnumberRequired

The version of the entity, used for optimistic locking mechanisms

get
/api/stowjobs/{stowJobId}

List stow jobs

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumber · min: 1 · max: 100OptionalDefault: 25
startAfterIdstringOptional
sortstring · enumOptionalPossible values:
facilityRefstring[]Optional
tenantArticleIdstring[]Optional
locationRefstring[]Optional
stockRefstring[]Optional
shortIdstring[]Optional
prioritynumber[]Optional
Responses
chevron-right
200

Paginated result containing the matching Stow Job entities

application/json

StowJobPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

get
/api/stowjobs

Create stow job

post

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

StowJobForCreation

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired

Non-human-readable reference to the facility where the stow job is executed

prioritynumberOptional

Priority level of the job

shortIdstringOptional

Readable identifier for display purposes, not unique.

statusstring · enumRequired

The status of the stowJob

Possible values:
targetTimestring · date-timeOptional

The time by which the job should be completed. Use for prioritization and scheduling

Responses
post
/api/stowjobs

List stow jobs (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for StowJob

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

StowJobSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

StowJobPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/stowjobs/search

Update stow job

patch

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
stowJobIdstringRequired
Body

StowJobForPatch

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

prioritynumberOptional

Information for user about which job should be started first

targetTimestring · date-timeOptional
versionnumberRequired

The version of the document to be used in optimistic locking mechanisms

Responses
chevron-right
200

Stow Job successfully patched

No content

patch
/api/stowjobs/{stowJobId}

No content

Call stow job action

post

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
stowJobIdstringRequired
Body
or
or
or
or
or
or
Responses
chevron-right
200

Actions successfully performed

No content

post
/api/stowjobs/{stowJobId}/actions

No content

Last updated